local soundsetutil = require "soundsetutil"

function data()

local data = soundsetutil.makeSoundSet()

soundsetutil.addTrackParam01
(data, "vehicle/br10/idle.wav", 25.0,
		{
		{ 0.0, 1.0 },
		{ 0.05, 0.0 } },
		{
		{ .0, 1.0 },
		{ 1.0, 1.0 } },
		"speed01")

soundsetutil.addTrackParam01
(data, "vehicle/br10/ventil.wav", 25.0,
		{
		{ 0.0, 0.0 },
		{ 0.1, 4.0 },
		{ 0.2, 0.0 } },
		{
		{ .0, 1.0 },
		{ 1.0, 1.0 } },
		"speed01")

soundsetutil.addTrackParam01
(data, "vehicle/br10/10_drive.wav", 25.0,
		{
		{ 0.0, 0.0 },
		{ 0.01, 0.8 },--gain lautstärke
		{ 0.5, 0.9 },
		{ 1.0, 1.0 } },
		{
		{ .0, 0.6 },--pitch speedtone
		{ 1.0, 1.1 } },
		"speed01")


soundsetutil.addEvent(data, "horn", { "vehicle/br10/pfiff_10.wav" }, 50.0)
soundsetutil.addTrackSqueal(data, "vehicle/br10/kurve.wav", 25.0)
soundsetutil.addTrackBrake(data, "vehicle/br10/bremse_alt.wav", 25.0, 1.0)


return data

end
